Fixing GCC5 warnings
Index: python-ethtool-0.14/python-ethtool/etherinfo.h
===================================================================
--- python-ethtool-0.14.orig/python-ethtool/etherinfo.h
+++ python-ethtool-0.14/python-ethtool/etherinfo.h
@@ -24,7 +24,7 @@ int get_etherinfo_link(PyEtherInfo *data
 PyObject * get_etherinfo_address(PyEtherInfo *self, nlQuery query);
 
 int open_netlink(PyEtherInfo *);
-struct nl_sock * get_nlc();
+struct nl_sock * get_nlc(void);
 void close_netlink(PyEtherInfo *);
 
 #endif
Index: python-ethtool-0.14/python-ethtool/netlink.c
===================================================================
--- python-ethtool-0.14.orig/python-ethtool/netlink.c
+++ python-ethtool-0.14/python-ethtool/netlink.c
@@ -88,7 +88,7 @@ int open_netlink(PyEtherInfo *ethi)
  *
  * @returns Returns a pointer to a NETLINK connection libnl functions can use
  */
-struct nl_sock * get_nlc()
+struct nl_sock * get_nlc(void)
 {
     assert(nlconnection);
     return nlconnection;
